Description: Hi,



If any whmcs client change his email address... and after that raise a support ticket then it creates new user 

in helpdesk and all his previous tickets not available because new email creates new account. So no relation 

remaining between his previous tickets and current whmcs email. So is there any hook for it in this module...







Regards,

Dhiren

History

05/20/2013 04:23 am - Amarjeet Kaur

Hello Dhiren,



WHMCS is linked with Kayako on the basis of registered email address. 



So if the user will update the email address in WHMCS, he/she would not be able to access their earlier tickets.



Thank you,

Amarjeet Kaur



05/20/2013 05:45 am - hi@naveen.in 

Hi Amarjeet ,





I know this point but practically its wrong ... a client can change his /her email address any time(any reason) .. so does it mean lost all previous 

conversation(doesn't matter how impotent that was). there should be hook between API and helpdesk for update current account detail(at least email 

address) so user never miss their history. 



In our WHMCS we have more than 10k registered user... imagine 10% of them change their email address ..and after that they found no ticket in their 

client area . And they ask us regarding there older tickets. what a mess ....



So please give us a solution for this situation because we already face it..





Regards,

Dhiren





Regards,

Dhiren

05/21/2013 02:24 am - Amarjeet Kaur

06 Apr 2025 1/2



- Tracker changed from Bug to Feature

- Priority changed from High to Normal

Hi Dhiren,



We have considered this improvement, and will provide support for email update in upcoming release.



For now, I am moving this issue to 'New Feature'.



Thank you,

Amarjeet Kaur

05/21/2013 04:26 am - hi@naveen.in 

Hi Amarjeet,





Thanx for considering our issue... did you provide any time frame for "upcoming release".... bcoz till that we have to face this issue.



Regards,

Dhiren

05/23/2013 12:05 am - Amarjeet Kaur

Hi Dhiren,



It would be difficult to comment on exact time frame for upcoming release. It may take one month or two. 



Your  understanding and patience is much appreciated in this regard.



Thank you,

Amarjeet Kaur



12/17/2013 03:48 pm - Nico 

+1



Any update on this ?

06 Apr 2025 2/2


